For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesExamplesChangelog
ReferenceGuidesExamplesChangelog
  • Data API
    • Introduction
  • Token
    • GETGet Authorization User Info
    • GETGet Authorization Info
  • Sites
    • GETList Sites
    • GETGet Site
    • GETGet Custom Domains
    • POSTPublish Site
  • Pages and Components
  • CMS
  • Forms
      • GETList Forms
      • GETGet Form Schema
  • Custom Code
  • Assets
  • Comments
    • GETList Comment Threads
    • GETGet Comment Thread
    • GETList Comment Replies
  • Ecommerce
  • Webhooks
    • GETList Webhooks
    • GETGet Webhook
    • POSTCreate Webhook
    • DELRemove Webhook
  • Site Configuration
  • Enterprise
LogoLogo
Resources
Get started
FormsForms

List Forms

GET
https://api.webflow.com/v2/sites/:site_id/forms
GET
/v2/sites/:site_id/forms
$curl -G https://api.webflow.com/v2/sites/580e63e98c9a982ac9b8b741/forms \
> -H "Authorization: Bearer <token>" \
> -d limit=100 \
> -d offset=0
1{
2 "forms": [
3 {
4 "displayName": "Email Form",
5 "createdOn": "2016-10-24T19:41:29.156Z",
6 "lastUpdated": "2016-10-24T19:43:17.271Z",
7 "fields": [
8 {
9 "660d5bcc9c0772150459dfb1": {
10 "displayName": "Name",
11 "type": "Plain",
12 "placeholder": null,
13 "userVisible": true
14 }
15 },
16 {
17 "589a331aa51e760df7ccb89d": {
18 "displayName": "Email",
19 "type": "Email",
20 "placeholder": "Enter your email",
21 "userVisible": true
22 }
23 }
24 ],
25 "responseSettings": {
26 "redirectUrl": "https://example.com",
27 "redirectMethod": "GET",
28 "redirectAction": null,
29 "sendEmailConfirmation": true
30 },
31 "id": "589a331aa51e760df7ccb89e",
32 "siteId": "580e63e98c9a982ac9b8b741",
33 "siteDomainId": "6419db964a9c436a4baf6248",
34 "pageId": "6419db964a9c43f6a3af6348",
35 "pageName": "Home",
36 "workspaceId": "580e63fc8c9a982ac9b8b744"
37 },
38 {
39 "displayName": "Name Form",
40 "createdOn": "2016-10-24T19:41:29.156Z",
41 "lastUpdated": "2016-10-24T19:43:17.271Z",
42 "fields": [
43 {
44 "589a331aa51e760df7ccb89d": {
45 "displayName": "Name",
46 "type": "Plain",
47 "placeholder": "Enter your name",
48 "userVisible": true
49 }
50 }
51 ],
52 "responseSettings": {
53 "redirectUrl": "https://example.com",
54 "redirectMethod": "GET",
55 "redirectAction": null,
56 "sendEmailConfirmation": false
57 },
58 "id": "580ff8d7ba3e45ba9fe588e9",
59 "siteId": "580e63e98c9a982ac9b8b741",
60 "siteDomainId": "6419db964a9c436a4baf6248",
61 "pageId": "6419db964a9c43f6a3af6348",
62 "pageName": "Home",
63 "formElementId": "4e038d2c-6a1e-4953-7be9-a59a2b453177",
64 "workspaceId": "580e63fc8c9a982ac9b8b744"
65 }
66 ],
67 "pagination": {
68 "limit": 25,
69 "offset": 0,
70 "total": 2
71 }
72}

List forms for a given site.

Required scope | forms:read

Was this page helpful?
Previous

Get Form Schema

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

site_idstringRequiredformat: "objectid"
Unique identifier for a Site

Query parameters

limitintegerOptional

Maximum number of records to be returned (max limit: 100)

offsetintegerOptional
Offset used for pagination if the results have more than limit records

Response

Request was successful
formslist of objects
paginationobject
Pagination object

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error